%define debug 0
%define final 0

%define qt_version 3.3.7
%define qt_epoch 1
%define kdelibs_epoch 6
%define kdebase_epoch 6
%define arts 1

%define make_cvs 1

%define appdir %{_datadir}/applications/kde

Name: kdesdk
Version: 3.5.6
Release: 1%{?dist}
Summary: The KDE Software Development Kit (SDK)
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Patch1: kdesdk-3.4.0-db4.patch
Patch2: kdesdk-3.5.4-multilib.patch

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: qt-devel >= %{qt_epoch}:%{qt_version}
BuildRequires: kdelibs-devel >= %{kdelibs_epoch}:%{version}
BuildRequires: db4-devel
BuildRequires: desktop-file-utils
BuildRequires: flex
BuildRequires: binutils-devel

%description
A collection of applications and tools used by KDE developers.
Among other things, kdesdk provides tools for working on the KDE CVS
repository.

%package devel
Summary: Development files for kdesdk
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel => %{kdelibs_epoch}:%{version}

%description devel
Development files for kdesdk. Install kdesdk-devel if you wish
to develop or compile KDE sdk applications.

%prep
%setup -q
%patch1 -p1 -b .db4
%patch2 -p1 -b .multilib

%build
unset QTDIR && . /etc/profile.d/qt.sh

%if %{make_cvs}
   make -f admin/Makefile.common cvs
%endif

%configure \
   --enable-new-ldflags \
   --disable-dependency-tracking \
   --disable-rpath \
   --disable-gcc-hidden-visibility \
%if %{arts} == 0
   --without-arts \
%endif
%if %{debug} == 0
   --disable-debug \
   --disable-warnings \
%endif
%if %{final}
   --enable-final \
%endif
   --with-qt-libraries=$QTDIR/lib \
   --includedir=%{_includedir}/kde

make %{?_smp_mflags}

%install
rm -rf %{buildroot} 

make install DESTDIR=%{buildroot}

desktop-file-install --vendor "" --delete-original \
  --dir %{buildroot}%{appdir} \
  --add-only-show-in KDE \
  %{buildroot}%{appdir}/kbugbuster.desktop \
  %{buildroot}%{appdir}/kuiviewer.desktop

# make symlinks relative
mkdir -p %{buildroot}%{_docdir}/HTML/en/common
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
   fi
done
popd

# workaround, rpm cannot replace a directory with a symlink
rm -f %{buildroot}%{_docdir}/HTML/en/cervisia/common
mkdir %{buildroot}%{_docdir}/HTML/en/cervisia/common
pushd %{buildroot}%{_docdir}/HTML/en/cervisia/common
for i in %{_docdir}/HTML/en/common/* ; do
   ln -s ../../common/$(basename $i) .
done
popd

rm -f %{buildroot}/%{_datadir}/apps/kapptemplate/admin/Makefile \
      %{buildroot}/%{_datadir}/apps/kapptemplate/admin/Makefile.in

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
/sbin/ldconfig
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/kde3/*
%{_libdir}/*.so.*
%{_libdir}/libkdeinit_*.so
%{_libdir}/*.la
%{_datadir}/apps/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/applications/kde/*
%{_datadir}/config.kcfg/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*
%{_libdir}/*.so
%exclude %{_libdir}/libkdeinit_*.so
%{_libdir}/*.a
%{_mandir}/man1/*

%changelog
* Thu Feb 08 2007 Than Ngo <than@redhat.com> 3.5.6-1.fc7
- 3.5.6

* Tue Sep 05 2006 Than Ngo <than@redhat.com> 3.5.4-2
- fix #205217, multilib issue
- apply upstream patches
    fix #131717, kompare won't parse diffs from git

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 3.5.4-1
- rebuild

* Mon Jul 24 2006 Petr Rockai <prockai@redhat.com> - 3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)

* Mon Jul 17 2006 Than Ngo <than@redhat.com> 3.5.3-3
- BR: flex, needed to build kbabel

* Fri Jul 14 2006 Than Ngo <than@redhat.com> 3.5.3-2
- BR: autoconf automake libtool

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.5.3-1.1
- rebuild

* Fri Jun 02 2006 Than Ngo <than@redhat.com> 3.5.3-1
- update to 3.5.3 

* Wed Apr 05 2006 Than Ngo <than@redhat.com> 3.5.2-1
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb 05 2006 Than Ngo <than@redhat.com> 3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec 02 2005 Than Ngo <than@redhat.com> 2:3.5.0-1
- 3.5

* Wed Nov 09 2005 Than Ngo <than@redhat.com> 2:3.4.92-2 
- get rid of xorg-x11-devel require

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 2:3.4.92-1
- update to 3.5 Beta2

* Tue Oct 04 2005 Than Ngo <than@redhat.com> 2:3.4.91-1
- update to 3.5 Beta 1

* Wed Sep 21 2005 Than Ngo <than@redhat.com> 2:3.4.2-2
- fix uic build problem

* Mon Aug 08 2005 Than Ngo <than@redhat.com> 3.4.2-1
- update to 3.4.2

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 2:3.4.1-1
- 3.4.1

* Wed Apr 20 2005 Than Ngo <than@redhat.com> 2:3.4.0-3
- fix dependency issue

* Tue Apr 19 2005 Than Ngo <than@redhat.com> 2:3.4.0-2
- buildrequires cleanup 

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 2:3.4.0-1
- 3.4.0

* Sat Mar 05 2005 Than Ngo <than@redhat.com> 2:3.4.0-0.rc1.2
- fix gcc4 build problem

* Mon Feb 28 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.1
- KDE 3.4.0 rc1

* Tue Feb 22 2005 Than Ngo <than@redhat.com> 2:3.3.92-0.1
- KDE-3.4 beta2

* Sun Dec 05 2004 Than Ngo <than@redhat.com> 2:3.3.2-0.1
- update to 3.3.2

* Thu Nov 11 2004 Jeff Johnson <jbj@jbj.org> 2:3.3.1-3
- rebuild against db-4.3.21.

* Mon Oct 18 2004 Than Ngo <than@redhat.com> 2:3.3.1-2
- rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 2:3.3.1-1
- update to 3.3.1

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2 
- update to 3.3.0 rc2

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 2:3.2.3-1
- update to 3.2.3

* Wed May 05 2004 Than Ngo <than@redhat.com> 2:3.2.2-2
- cleanup KDE/GNOME menu

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 2:3.2.2-1
- update to 3.2.2

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 2:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 2:3.2.0-1.4
- add BuildPrereq on db4-devel

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 08 2004 Than Ngo <than@redhat.com> 2:3.2.0-0.3
- 3.2.0 release
- built against qt-3.3.0

* Wed Jan 21 2004 Than Ngo <than@redhat.com> 2:3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 2:3.1.94-0.1
- KDE 3.2 Beta2 
- remove kdesdk-3.1.93-kcachegrind.patch, it's included in new upstream

* Fri Nov 28 2003 Than Ngo <than@redhat.com> 2:3.1.93-0.4
- fixed db4 issue 

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 2:3.1.93-0.3
- get rid of rpath

* Wed Nov 26 2003 Than Ngo <than@redhat.com> 2:3.1.93-0.2
- fixed type conflict on x86_64

* Thu Nov 13 2003 Than Ngo <than@redhat.com> 2:3.1.93-0.1
- KDE 3.2 Beta1
- cleanup

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 2:3.1.4-1
- 3.1.4

* Thu Aug 14 2003 Than Ngo <than@redhat.com> 2:3.1.3-3
- add workaround for s390/s390x build problem

* Wed Aug 13 2003 Than Ngo <than@redhat.com> 2:3.1.3-2
- rebuilt

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 2:3.1.3-1
- 3.1.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 3.1.2-5
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 23 2003 Than Ngo <than@redhat.com> 3.1.2-3
- don't build kbugbuster, which is not used anymore.

* Thu May 15 2003 Than Ngo <than@redhat.com> 3.1.2-2
- respin

* Wed May 14 2003 Than Ngo <than@redhat.com> 3.1.2-1
- 3.1.2

* Thu Mar 20 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of gcc path from dependency_libs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.7
- rebuild

* Wed Jan 15 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.6
- fix for ktrace (libc)

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.5
- rc6
- removed size_t check

* Sat Dec 21 2002 Than Ngo <than@redhat.com> 3.1-0.4
- add Icons

* Fri Dec 13 2002 Than Ngo <than@redhat.com> 3.1-0.3
- fix package conflicts

* Sat Nov 30 2002 Than Ngo <than@redhat.com> 3.1-0.2
- desktop issues
- get rid of sub packages
- add new kdesdk-devel

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4

* Tue Nov 19 2002 Than Ngo <than@redhat.com> 3.0.5-1.1
- fix group issue (bug #78119)
- remove Obsoletes kdesdk (bug #78138, #78139, #78140, #78141, #78142, #78143)

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5
- add missing scripts, manpages and icons
- remove a unneeded patch file

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- Added missing documentations (bug #74550)

* Mon Aug 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-1
- 3.0.3

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-5
- Rename libraries

* Tue Apr  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Fix bug #62259

* Sun Mar 31 2002 Than Ngo <than@redhat.com> 3.0.0-3
- fix bug #62388

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-2
- final

* Tue Mar 26 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020326.1
- update

* Sun Mar 24 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020324.1
- update
- fix bug #61671, #61670, #61656
- add more buildrequires

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020102.1
- Update
- Split in subpackages

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- update to 2.2 release

* Sat Aug  04 2001 Than Ngo <than@redhat.com> 2.2-0.cvs20010804.1
- update
- fix bug #50665

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Remove extractrc (it's in kdevelop)
- remove ia64 workarounds

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- update

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin
- fix dangling symlink

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc
- obsolete ktranslator kless (from powertools)
- clean up specfile
- add missing %post and %postun (ldconfig)

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of libkdefakes.so.0 requirement
- Obsolete kbabel (from Powertools)

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
